Skip to main content
GET
/
api
/
jobs
/
{id}
Get a generation job
curl --request GET \
  --url https://airgraphic.io/api/jobs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sourceUrl": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "imageUrl": "<string>",
  "falImageUrl": "<string>",
  "mirrorUrl": "<string>",
  "width": 123,
  "height": 123,
  "contentType": "<string>",
  "prompt": "<string>",
  "error": "<string>",
  "falRequestId": "<string>",
  "completedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.airgraphic.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ag_your_api_key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Current job state.

id
string<uuid>
required
status
enum<string>
required
Available options:
queued,
running,
completed,
failed,
refunded
sourceUrl
string
required
aspect
enum<string>
required
Available options:
9:16,
1:1,
4:5,
16:9
format
enum<string>
required
Available options:
png,
jpeg,
webp
createdAt
string<date-time>
required
imageUrl
string<uri>
falImageUrl
string<uri>
mirrorUrl
string<uri>
width
integer
height
integer
contentType
string
prompt
string
error
string
falRequestId
string
completedAt
string<date-time>